<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <base href="/">
    <meta charset="UTF-8">
    <title>User Wishlist</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">

    <!-- Fonts -->
    <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz:400,700' rel='stylesheet' type='text/css'>

    <!-- Css -->
    <link rel="stylesheet" href="css/nivo-slider.css" type="text/css" />
    <link rel="stylesheet" href="css/owl.carousel.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/font-awesome.min.css">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/responsive.css">

    <!-- jS -->
    <script src="js/jquery.min.js" type="text/javascript"></script>
    <script src="js/bootstrap.min.js" type="text/javascript"></script>
    <script src="js/jquery.nivo.slider.js" type="text/javascript"></script>
    <script src="js/owl.carousel.min.js" type="text/javascript"></script>
    <script src="js/jquery.nicescroll.js"></script>
    <script src="js/jquery.scrollUp.min.js"></script>
    <script src="js/main.js" type="text/javascript"></script>


</head>
<body>


<!-- TOP HEADER Start
    ================================================== -->

<div id="selectAllElementProducts">
    <section id="top">
        <div class="container">
            <div class="row">
                <div class="col-md-7">
                    <p class="contact-action"> <img src="images/call.png" alt="missing image" id="call"> CONTACT US: <strong>+359 88 887 735</strong></p>
                </div>
                <div class="col-md-3 clearfix">
                    <ul class="login-cart">
                        <li>
                            <form th:action="@{/login}" sec:authorize="!isAuthenticated()" method="get">
                                <input type="submit" value="LOGIN"/>
                            </form>
                            <form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                                <input type="submit" value="LOGOUT"/>
                            </form>
                        </li>
                    </ul>
                </div>
                <div class="col-md-2">
                    <form th:action="@{/beers}" th:method="get">
                        <div class="search-box">
                            <div class="input-group">

                                <input placeholder="Search" type="text" th:name="name" class="form-control">
                                <span class="input-group-btn">
					        	<button class="btn btn-default" type="submit"></button>
					      	</span>

                            </div><!-- /.input-group -->
                        </div><!-- /.search-box -->
                    </form>
                </div>
            </div> <!-- End Of /.row -->
        </div>	<!-- End Of /.Container -->

        <!-- MODAL Start
            ================================================== -->

        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h4 class="modal-title" id="myModalLabel">Introduce Yourself</h4>
                    </div>
                    <div class="modal-body clearfix">

                        <form action="#" method="post" id="create-account_form" class="std">
                            <fieldset>
                                <h3>Create your account</h3>
                                <div class="form_content clearfix">
                                    <h4>Enter your e-mail address to create an account.</h4>
                                    <p class="text">
                                        <label for="email_create">E-mail address</label>
                                        <span>
											<input placeholder="E-mail address"  type="text" id="email_create" name="email_create" value="" class="account_input">
					                    </span>
                                    </p>
                                    <p class="submit">
                                        <button class="btn btn-primary">Create Your Account</button>
                                    </p>
                                </div>
                            </fieldset>
                        </form>
                        <form action="" method="post" id="login_form" class="std">
                            <fieldset>
                                <h3>Already registered?</h3>
                                <div class="form_content clearfix">
                                    <p class="text">
                                        <label for="email">E-mail address</label>
                                        <span><input placeholder="E-mail address" type="text" id="email" name="email" value="" class="account_input"></span>
                                    </p>
                                    <p class="text">
                                        <label for="passwd">Password</label>
                                        <span><input placeholder="Password" type="password" id="passwd" name="passwd" value="" class="account_input"></span>
                                    </p>
                                    <p class="lost_password">
                                        <a href="#popab-password-reset" class="popab-password-link">Forgot your password?</a>
                                    </p>
                                    <p class="submit">
                                        <button class="btn btn-success">Log in</button>
                                    </p>
                                </div>
                            </fieldset>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </section>  <!-- End of /Section -->



    <!-- LOGO Start
    ================================================== -->

    <header>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <a href="/">
                        <img src="images/logo.png" alt="logo">
                    </a>
                </div>	<!-- End of /.col-md-12 -->
            </div>	<!-- End of /.row -->
        </div>	<!-- End of /.container -->
    </header> <!-- End of /Header -->




    <!-- MENU Start
    ================================================== -->

    <nav class="navbar navbar-default">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div> <!-- End of /.navbar-header -->

            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav nav-main">
                    <li ><a href="/">HOME</a></li>
                    <li class="active"><a href="/beers">BEERS</a></li>
                    <li><a href="/community">COMMUNITY</a></li>
                    <li><a th:href="@{/users/{id}(id=${username_id_map.get(#authentication.name)})}">PROFILE</a></li>
                    <li><a href="/#get_in_touch_anchor">ABOUT</a></li>


                </ul> <!-- End of /.nav-main -->
            </div>	<!-- /.navbar-collapse -->
        </div>	<!-- /.container-fluid -->
    </nav>	<!-- End of /.nav -->

    <section id="topic-header">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <h1>BEERS</h1>
                    <p><h4>Browse User Wishlist</h4></p>
                </div>	<!-- End of /.col-md-4 -->
                <div class="col-md-8 hidden-xs">
                    <ol class="breadcrumb pull-right">
                        <li><a href="/">Home</a></li>
                        <li class="active">Beers</li>
                    </ol>
                </div>	<!-- End of /.col-md-8 -->
            </div>	<!-- End of /.row -->
        </div>	<!-- End of /.container -->
    </section>	<!-- End of /#Topic-header -->



    <!-- PRODUCTS Start
    ================================================== -->

    <section id="shop">
        <div class="container">
            <div class="products-heading">
                <h2>User Wishlist</h2>
            </div>	<!-- End of /.Products-heading -->

            <div class="grid">
                <div class="allProducts_productName" th:each="currentBeer:${pages}" id="allProducts123">
                    <a th:href="@{/beers/{id}(id=${currentBeer.id})}">
                        <img th:src="@{'data:image/jpeg;base64,'+${currentBeer.image}}" alt="" height="280" width="260">
                    </a>
                    <a th:href="@{/beers/{id}(id=${currentBeer.id})}">
                        <h4 class="allProducts_productName" th:text="${currentBeer.name}" align="center"></h4>
                    </a>
                    <p class="ABV" th:text="'ABV: ' + ${currentBeer.ABV}" align="center"></p>
                    <div id="product_link_width">
                        <a class="view-product-link" th:href="@{/beers/{id}(id=${currentBeer.id})}">
                            Explore Beer</a>
                    </div>
                </div>
            </div><!-- End of /.products -->

            <!-- End of /.products -->

            <!-- Pagination -->

        <div class="pagination-bottom">
            <ul class="nav nav-pills">
                <li class="nav-item"
                    th:each="i : ${#numbers.sequence(0,numOfPages)}">
                    <a th:text="${i}" class="navbar-link" th:href="@{/users/{id}/wishlist(id=${userId},page=${i})}"></a>
                </li>
            </ul>
        </div>
        </div><!-- End of /.col-md-9 -->
    </section>	<!-- End of Section -->











    <!-- FOOTER Start
        ================================================== -->

    <footer>
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <div class="block clearfix">
                        <a href="#">
                            <img src="images/footer-logo.png" alt="missing image">
                        </a>
                        <p>
                            Discover and share your favorite beer with BeerTag - a free web application. Explore nearby popular bars, breweries, and top-rated beers.
                        </p>
                        <h4 class="connect-heading">CONNECT WITH US</h4>
                        <ul class="social-icon">
                            <li>
                                <div class="facebook_wrap"><a class="facebook-icon" href="https://www.facebook.com/"><img src="images/Facebook_Logo_(2019).png" alt="no image" id="facebook_tag"></a></div>
                            </li>
                            <li>
                                <div class="facebook_wrap"><a class="plus-icon" href="https://www.youtube.com/">
                                    <img src="images/youtube-play-red-logo-png-transparent-background-6.png" alt="no image" id="youtube_tag">
                                </a></div>
                            </li>
                            <li>
                                <div class="facebook_wrap"><a class="twitter-icon" href="https://twitter.com/home"><img src="images/twitter_PNG9.png" alt="no image" id="twitter_tag"></a></div>
                            </li>
                            <li>
                                <div class="facebook_wrap"><a class="twitter-icon" href="https://www.instagram.com"><img src="images/instagram-logos-png-images-free-download-2.png" alt="no image" id="instagram_tag"></a></div>
                            </li>
                            <li>
                                <div class="facebook_wrap"><a class="twitter-icon" href="https://www.linkedin.com"><img src="images/linkedin-blue-style-logo-png-0.png" alt="no image" id="linkedIn_tag"></a></div>
                            </li>
                        </ul>	<!-- End Of /.social-icon -->
                    </div>	<!-- End Of /.block -->
                </div> <!-- End Of /.Col-md-4 -->
                <div class="col-md-4">
                    <div class="block">
                        <h4>GET IN TOUCH</h4>
                        <p><img src="images/Maps-Define-Location-icon.png" alt="no image" id="location_tag"><span>&nbsp&nbspLocation: </span>1000 Ljubljana Celovska cesta 135, Slovenia</p>
                        <p><img src="images/call.png" alt="no image" id="phone_tag"><span>&nbsp&nbspPhone:</span> (+386) 40 123 456 </p>
                        <p><img src="images/Mobile-Free-PNG-Image.png" alt="no image" id="mobile_tag"><span>&nbsp&nbsp&nbspMobile:</span> (+386) 40 654 123 651</p>
                        <p class="mail"><img src="images/kisspng-email-address-computer-icons-mail-5ac0114703b4f6.9865787015225367750152.png" alt="no image" id="mail_tag"><span id="span_email">Email: </span>info@beertag.com</p>
                    </div>	<!-- End Of /.block -->
                </div> <!-- End Of Col-md-3 -->



                <!-- FOOTER-BOTTOM Start
                ================================================== -->

                <div class="footer-bottom">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <ul class="cash-out pull-left">
                                    <li>
                                        <a href="#">
                                            <img src="images/American-Express.png" alt="">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <img src="images/PayPal.png" alt="">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <img src="images/Maestro.png" alt="">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <img src="images/Visa.png" alt="">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <img src="images/Visa-Electron.png" alt="">
                                        </a>
                                    </li>
                                </ul>
                            </div>	<!-- End Of /.col-md-12 -->
                        </div>	<!-- End Of /.row -->
                    </div>	<!-- End Of /.container -->
                </div>	<!-- End Of /.footer-bottom -->
            </div></div></footer> <!-- End Of Footer -->

    <a id="back-top" href="#"></a>
</div></body>
</html>